<%@page contentType="text/html"
    import="org.activebpel.demo.Constants,org.activebpel.demo.util.RuntimeParams,org.activebpel.demo.client.BPELTestClient" %>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>ActiveBPEL Engine Demo Client</title>
<link rel="stylesheet" href="style.css" type="text/css"/>
</head>
<body>

<h1><img src="abl_logo.jpg" alt="ActiveBPEL logo"/>ActiveBPEL
    Engine Demo Client</h1>

<%
    RuntimeParams rp = new RuntimeParams();

    if ("apply_for_loan".equals(request.getParameter("action"))) {
	try {
	    rp.setText("/rundata/client/firstName",
		       request.getParameter("first-name"));
	    rp.setText("/rundata/client/name",
		       request.getParameter("name"));
	    rp.setText("/rundata/client/amount",
		       request.getParameter("amount"));
	    rp.setAttr("/rundata/client", "operation",
		       request.getParameter("operation"));
	    rp.setAttr("/rundata/client", "url",
		       request.getParameter("url"));

	    rp.setText("/rundata/assessor/risk-level",
		       request.getParameter("risk-level"));

	    rp.setText("/rundata/approver/accept",
		       request.getParameter("accept"));

	    rp.save();
	}
	catch (Exception e) {
	    out.println("<p>" + e.toString() + "</p>");
	}

%>
<p>Congratulations; your BPEL process has completed. 
The answer to your loan request is
"<%= new BPELTestClient().run() %>".</p>
<%
    }

    String assessorResponse = rp.getText("/rundata/assessor/risk-level");
    String approverResponse = rp.getText("/rundata/approver/accept");
%>

<form action="index.jsp" method="POST">
  <img class="right-side-img" src="flow.jpg"/>
  <table>
    <tr>
      <td class="section-name">Loan Request</td>
      <td colspan="2"></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">First Name:</td>
      <td class="field">
	<input type="text" name="first-name" value='<%=
		rp.getText("/rundata/client/firstName")
	%>'/>
      </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">Last Name:</td>
      <td class="field">
	<input type="text" name="name" value='<%=
		rp.getText("/rundata/client/name")
	%>'/>
      </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">Amount:</td>
      <td class="field">
	<input type="text" name="amount" value='<%=
		rp.getText("/rundata/client/amount")
	%>'/>
      </td>
    </tr>
    <tr>
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">Operation:</td>
      <td class="field">
	<input type="text" name="operation" value='<%=
		rp.getAttr("/rundata/client", "operation")
	%>'/>
      </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">URL:</td>
      <td class="field">
	<input type="text" name="url" size="70" value='<%=
		rp.getAttr("/rundata/client", "url")
	%>'/>
      </td>
    </tr>


    <tr>
      <td class="section-name" colspan="3">Assessor</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">Response:</td>
      <td class="field">
	<select name="risk-level">
	  <option value="high"
	    <%= "high".equals(assessorResponse) ? "selected" : ""%>
	    />high
	  <option value="low"
	    <%= "low".equals(assessorResponse) ? "selected" : "" %>
	    />low
	  <option value="<%= Constants.MAGIC_FAULT_STRING %>"
	    <%= Constants.MAGIC_FAULT_STRING.equals(assessorResponse)
		? "selected" : "" %>
	    /><%= Constants.MAGIC_FAULT_STRING %>
	</select>
      </td>
    </tr>


    <tr>
      <td class="section-name" colspan="3">Approver</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td class="label">Response:</td>
      <td class="field">
	<select name="accept">
	  <option value="yes"
	    <%= "yes".equals(approverResponse) ? "selected" : "" %>
	    />yes
	  <option value="no"
	    <%= "no".equals(approverResponse) ? "selected" : "" %>
	    />no
	  <option value="<%= Constants.MAGIC_FAULT_STRING %>"
	    <%= Constants.MAGIC_FAULT_STRING.equals(approverResponse)
		? "selected" : "" %>
	    /><%= Constants.MAGIC_FAULT_STRING %>
	</select>
      </td>
    </tr>


    <tr><td colspan="3">&nbsp;</td></tr>
    <tr>
      <td>&nbsp;</td>
      <td class="field" colspan="2">
	<input type="submit" value="Apply for a Loan"/>
      </td>
    </tr>
  </table>
  <input type="hidden" name="action" value="apply_for_loan"/>
</form>

</body>
</html>
